/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.juddi.monitor.jdbc;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.juddi.monitor.MonitorAdapter;

/**
 * @author Anou Mana (anou_mana@users.sourceforge.net)
 */
public class JDBCMonitor extends MonitorAdapter
{
  // private reference to the jUDDI logger
  private static Log log = LogFactory.getLog(JDBCMonitor.class);

  public JDBCMonitor()
  {
    super();
  }

  public void log()
  {
    try
    {
      // Get the Data Access Object and
      // insert the data to the table.

      new MonitorDAO().insert(data);
    }
    catch(Exception exp)
    {
      log.error(exp);
    }
  }
}
